classification
Title: Raise RuntimeError when transport's FD is used with add_reader etc
Type: enhancement Stage: resolved
Components: asyncio Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: asvetlov, gvanrossum, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2016-10-05 21:47 by yselivanov, last changed 2017-11-13 18:38 by yselivanov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4365 merged yselivanov, 2017-11-10 21:29
Messages (3)
msg278152 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-10-05 21:47
Proxy issue for https://github.com/python/asyncio/pull/420
msg278153 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-05 21:50
New changeset 2b502f624753 by Yury Selivanov in branch '3.5':
Issue #28369: Raise an error when transport's FD is used with add_reader
https://hg.python.org/cpython/rev/2b502f624753

New changeset f3c1d8869dd5 by Yury Selivanov in branch '3.6':
Merge 3.5 (issue #28369)
https://hg.python.org/cpython/rev/f3c1d8869dd5

New changeset 745e0ff513c2 by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28369)
https://hg.python.org/cpython/rev/745e0ff513c2
msg306164 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-11-13 18:38
New changeset ce12629c84400c52734859e43b2386deb2b6da12 by Yury Selivanov in branch 'master':
bpo-28369: Enhance transport socket check in add_reader/writer (#4365)
https://github.com/python/cpython/commit/ce12629c84400c52734859e43b2386deb2b6da12
History
Date User Action Args
2017-11-13 18:38:45yselivanovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-11-13 18:38:29yselivanovsetmessages: + msg306164
2017-11-10 23:18:08berker.peksagsetpull_requests: - pull_request1054
2017-11-10 21:30:11yselivanovsetnosy: + asvetlov
2017-11-10 21:29:01yselivanovsetkeywords: + patch
pull_requests: + pull_request4318
2017-11-10 21:28:25yselivanovsetstatus: closed -> open
resolution: fixed -> (no value)
stage: resolved -> patch review
2017-03-31 16:36:32dstufftsetpull_requests: + pull_request1054
2016-10-05 21:50:27python-devsetnosy: + python-dev
messages: + msg278153
2016-10-05 21:47:42yselivanovsetstatus: open -> closed
resolution: fixed
2016-10-05 21:47:34yselivanovcreate